Test context

see

  https://mochajs.org/api/module-Context.html#~Context

### Hierarchy

- Context

### Indexable

[key: string]: any

Test context

## Index

### Properties

- _runnable
- currentTest
- test

### Methods

- enableTimeouts
- retries
- runnable
- skip
- slow
- timeout

## Properties

### Private _runnable

_runnable: any

- Defined in node_modules/@types/mocha/index.d.ts:1285

### Optional currentTest

currentTest: Test

- Defined in node_modules/@types/mocha/index.d.ts:1288

### Optional test

test: Runnable

- Defined in node_modules/@types/mocha/index.d.ts:1287

## Methods

### enableTimeouts

- enableTimeouts(): boolean
- enableTimeouts(enabled: boolean): this

- - Defined in node_modules/@types/mocha/index.d.ts:1315

  Get whether timeouts are enabled.

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:1320

  Set whether timeouts are enabled.

  #### Parameters

  - ##### enabled: boolean

  #### Returns this

### retries

- retries(): number
- retries(n: number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1340

  Get the number of allowed retries on failed tests.

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1345

  Set the number of allowed retries on failed tests.

  #### Parameters

  - ##### n: number

  #### Returns this

### runnable

- runnable(): Runnable
- runnable(runnable: Runnable): this
- runnable(runnable: IRunnable): this

- - Defined in node_modules/@types/mocha/index.d.ts:1293

  Get the context `Runnable`.

  #### Returns Runnable

- - Defined in node_modules/@types/mocha/index.d.ts:1298

  Set the context `Runnable`.

  #### Parameters

  - ##### runnable: Runnable

  #### Returns this

- - Defined in node_modules/@types/mocha/index.d.ts:1300
  deprecated

    Use the overload that accepts `Mocha.Runnable` instead.

  #### Parameters

  - ##### runnable: IRunnable

  #### Returns this

### skip

- skip(): never

- - Defined in node_modules/@types/mocha/index.d.ts:1335

  Mark a test as skipped.

  #### Returns never

### slow

- slow(): number
- slow(ms: string | number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1325

  Get test slowness threshold.

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1330

  Set test slowness threshold.

  #### Parameters

  - ##### ms: string | number

  #### Returns this

### timeout

- timeout(): number
- timeout(ms: string | number): this

- - Defined in node_modules/@types/mocha/index.d.ts:1305

  Get test timeout.

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:1310

  Set test timeout.

  #### Parameters

  - ##### ms: string | number

  #### Returns this

Generated using TypeDoc